ONVIF::Device::Elements::GetPkcs10Request(3pm)

NAME
ONVIF::Device::Elements::GetPkcs10Request

DESCRIPTION
Perl data type class for the XML Schema defined element GetPkcs10Request from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateID

     $element->set_CertificateID($data);
     $element->get_CertificateID();

•   Subject

     $element->set_Subject($data);
     $element->get_Subject();

•   Attributes

     $element->set_Attributes($data);
     $element->get_Attributes();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetPkcs10Request->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateID =>  $some_value, # token
   Subject =>  $some_value, # string
   Attributes =>  { # ONVIF::Device::Types::BinaryData
     Data =>  $some_value, # base64Binary
   },
 },

AUTHOR
Generated by SOAP::WSDL